<div class="module flat">
    <header class="module-header">
        <h2>Configuración de usuario</h2>
    </header>

    <app-tabs [tabs]="['Cuenta']">

        <div class="display">

            <dl class="data-list">
                <dt>Email</dt>
                <dd><span>ailia.vmd@gmail.com</span> <button class="primary small" (click)="emailModal.open()">Cambiar</button></dd>
                <dt>Contraseña</dt>
                <dd><span>***</span> <button class="primary small" (click)="passwordModal.open()">Cambiar</button></dd>
            </dl>

            <hr>

            <div class="edit-actions">
                <button class="text-only danger"><i class="las la-trash"></i> Desactivar Cuenta</button>
            </div>
            
        </div>

    </app-tabs>
</div>

<app-modal
#email
title="Cambiar Email"
(onclose)="reset()">

    <app-input
    type="password"
    label="Contraseña Actual"
    [(ngModel)]="actualPassword"></app-input>

    <app-input
    type="email"
    label="Nuevo Correo"
    [(ngModel)]="newEmail"></app-input>

</app-modal>

<app-modal
#password
title="Cambiar Contraseña"
(onclose)="reset()">

    <app-input
    type="password"
    label="Contraseña Actual"
    [(ngModel)]="actualPassword"></app-input>

    <app-input
    type="password"
    label="Nueva Contraseña"
    [(ngModel)]="newPassword"></app-input>

</app-modal>